# função decorator para teste numérico
def testZero(fx):
    def testeValor(x):
        if x == 2.0:
            msg = 'Divisão por zero!'
            return msg
        return fx(x)
    return testeValor

# definindo o teste obrigatório com "decorator"
@testZero
def fx(x):
    'uma função qualquer'
    f = (x**2)/(2*(x-2))
    
    return f

# Exemplo de aplicação 1
x = 3.0
fx1 = fx(x)
# imprimindo o resultado
print('Para x=', x, 'temos f(x) = ', fx1, '\n')

# Exemplo de aplicação 2
x = 2.0
fx2 = fx(x)
# imprimindo o resultado
print('Para x=', x, 'temos f(x) = ', fx2)


