# importando bibliotecas
import numpy as np
import pandas as pd

# criando uma lista de datas
dias = 30
datas = pd.date_range('20230302', periods=dias)

# criando uma tabela de dados tabela de dados
tabela = pd.DataFrame(np.random.rand(dias, 2), index=datas, 
                      columns=['FracA', 'FracB'] )

# acessando cabeçalho da tabela
cabecalhos = tabela.columns
print('\nCabeçalhos da tabela:\n', cabecalhos)

# acessando um dos itens do cabeçalho da tabela
print('\nItens do Cabeçalhos da tabela:\n', cabecalhos[0])

# acessando o índice de uma tabela
print('\nIndice da tabela:\n', tabela.index)

# vendo os dados do topo da tabela
print(tabela.head(2), '\n')

# vendo os dados do fim da tabela
print('Dados do fim da tabela:\n',tabela.tail(3), '\n')

# acessando todos os itens de uma coluna
print('Todos os itens da coluna 1:\n', tabela.iloc[:,1])

