# importando bibliotecas
import pandas as pd
import matplotlib.pyplot as p

# criando um conjunto de dados usando estrutura de dicionário
dados = pd.DataFrame({'Espécies': ['A', 'B', 'C', 'D'],
                   'Fração Mássica': [0.18, 0.22, 0.19, 0.21],
                   'Massa Molar': [55.0, 78.0, 71.0, 94.0],
                   'Temperatura Ebulição': [29.0, 35.0, 41.0, 45.0]})

# imprimindo a tabela de dados
print(dados.to_string)

# imprimindo sem os indices
print(dados.to_string(index=False))

# plotando um gráfico com a biblioteca pandas
p.clf()     # limpa figura anterior
# plotando usando pandas
dados.plot(x = 'Espécies', y = 'Fração Mássica',
           kind = 'bar', ylabel='Fração Mássica',
           color=['lightblue','orange','green', 'red'],
           legend=None)
p.show()    # mostra a figura 

