# importando bibliotecas
from numpy import shape

# declaração de variáveis
tabela2 = [['x', 'f(x)', 'erro(%)'],
           [1, 2.05, 0.1],
           [2, 4.01, 0.015], 
           [3, 6.07, 0.09], 
           [4, 8, 0.0]]

# colhendo a dimensão da matriz
[linhas, colunas] = shape(tabela2) # obtendo número de linhas e colunas

# imprimindo a matriz em formato de tabela
for i in range(linhas):
    if i == 0:
        # imprimindo título
        print('{:<10s}{:>4s}{:>13s}'.format(tabela2[i][0],
                                              tabela2[i][1],
                                              tabela2[i][2]))
    else:
        # imprimindo os demais itens da tabela
        print('{:<10.2f}{:>4.2f}{:>11.3f}'.format(tabela2[i][0],
                                                  tabela2[i][1],
                                                  tabela2[i][2]))
        
        
        