# importando bibliotecas
import pandas as pd
from tabulate import tabulate

# lendo dados da tabela de um arquivo excel
tabela = pd.read_excel('Minha_tabela.xlsx', 'Sheet1')
print(tabela)
# removendo o horário de coleta das datas salvas
tabela['Datas'] = tabela['Datas'].dt.date

# imprimindo tabela
print('\nEsta é a tabela importada de uma planilha excel:')
print(tabulate(tabela,
               headers='keys',
               tablefmt='simple',
               colalign=('center',),
               numalign='center',
               floatfmt=('s', '.3f', '.2f'),
               showindex=False))

