# importando bibliotecas
from numpy import array
from scipy.integrate import solve_ivp
import matplotlib.pyplot as p

# função que retorna dy/dt
def Eq1518(t, y):
    dydt = 5*y
    return dydt

# condição inicial
y0 = array([1])

# intervalo de tempo
t = [0, 1]

# resolvendo o sistema de Equações Diferenciais ODE
sol = solve_ivp(Eq1518, t, y0, method='BDF')
print('solução:', sol)

# mostrando os resultados
# intervalo de tempo
t = sol.t
y = sol.y[0]
# mostrando os resultados em um gráfico
p.clf()
p.plot(t,y)
p.xlabel('tempo(s)')
p.ylabel('y(t)')
p.show()


