# declaração de variáveis
Te = 38     # °C Temperatura de entrada na torre
Ts = 28     # °C Temperatura de saída da torre
Q = 2e9     # 2GJ/h = 2x10^9J/h
Cp = 4180   # J/kg°C

# equação 1 - cálculo da massa total necessária
m = Q/(Cp*(Te - Ts)) # (J/h)/(J/kg°C)*(°C)

# mensagem do primeiro resultado
msg = '-O fluxo mássico necessário para remover \n'
msg += str(Q) + 'J de calor do processo é igual a'
print(msg, m, 'kg/h de água.')

# equação 3 - Cálculo do calor latente
T = 35      # °C Temperatura estimada para evaporação
L_T = 2500.8 - 2.36*T + 0.0016*(T**2) - 0.00006*(T**3) # J/g

# equação 2 - Cálculo da massa evaporada
mt = Q/(L_T*1000)   #(J/h)/((J/g)*(1000g/kg))

# mensagem do segundo resultado
msg2 = '\n-O fluxo mássico evaporado na torre de resfriamento \n'
msg2 += 'é de ' + str(mt)
print(msg2, 'kg/h de água.')

# equação 4 - Cálculo da massa evaporada
Eev = (mt/m)*100
# mensagem do terceiro resultado
msg3 = '\n-A fração de água evaporada na torre\n'
msg3 += 'de resfriamento é de ' + str(Eev) + '%.'
print(msg3)

