# declaração das variáveis
a = 28000       # constante para p trocador de calor
b = 54          # constante para p trocador de calor
S = 650         # área do trocador de calor (demanda)
n = 1.2         # constante para p trocador de calor
Ia = 609.7      # CEPCI no ano de referência
Ie = 829.9      # CEPCI no ano de interesse

# equação 9 - Estimativa de custo de aquisição em dólar
Ce = a + b*(S**n)
print('Custo de aquisição em dólares (2010) ', format(Ce, '.1f'))

# equação 10 - Custo atualizado em dólar
Ca = Ce*(Ia/Ie)
print('Custo de aquisição em dólares (hoje) ', format(Ca, '.1f'))

# equação 11 - Custo em Reais
vr = float(input('Cotação do dólar: 1$ = '))
vd = 1          # 1$ (um dólar)
Car = Ca*(vr/vd)
print('Custo de aquisição em reais ', format(Car, '.1f'))


