# declaração de variáveis
ro = 0.9977             # densidade da água 25°C g/cm3
g = 9.81                # aceleração da gravidade m/s2
h = list(range(1,11))   # altura da coluna m
po = 101.325            # pressão atmosférica kPa
'''
(g/cm3)*(m/s2)*(m)*(1kg/1000g)*(1000cm3/1L)*(1000L/1m3) = 
=1000(m2.kg)/(m3.s2) = 1000N/m2 = 1000Pa = 1kPa
'''
print('Esta é a variação de pressão com a altura da coluna:')
for hi in h:
    p = ro*g*hi + po
    print(format(p, '.1f'), 'kPa')

