# importando a biblioteca math
import math as m
# declaração de variáveis
ka = 1.8e-5         # constante de dissociação HAc
Cm = 0.1            # concentração molar inicial do HAc

msg = 'A seguir o comportamento do pH com a variação'
msg+= 'da concentração molar de ácido acético.'
print(msg)
for i in range(10):
    # resolvendo a Equação 4.9
    x = m.sqrt(ka*Cm)
    # resolvendo a Equação 4.10
    pH = -m.log10(x)
    print('pH =', format(pH, '.2f'), 'para uma solução com', 
          format(Cm, '.2f'), 'mol/L de ácido acético.')
    # variando a concentração da solução de ácido acético
    Cm = Cm + 0.1
print('\n-----Fim-----')

