# importando bibliotecas
import matplotlib.pyplot as p

# declaração das variáveis
mi = 0.0453
lnXo = 1.1855

# iniciando lnX vazio
lnX = []
t = range(21)
# resultados da função y = f(x)
for ti in t:
    lnXi = mi*ti + lnXo         # calculando ln(Xi) no tempo ti
    lnX.append(lnXi)            # adicionando o resultado na lista lnX

# plotando o gráfico
p.clf()
p.plot(t, lnX, 'r--')                              # plotando o gráfico
p.xlabel('Tempo (h)')                              # legenda do eixo X
p.ylabel('ln(X) = mi*t - ln(Xo)')                  # legenda do eixo Y
p.title('Comportamento da Massa Seca de Levedura') # título
p.legend(['ln(X)'])                                # legenda do gráfico
p.grid(color='k', linestyle='-', linewidth=0.1)    # linhas de grade
p.show()                                           # mostrando o gráfico

