#importando bibliotecas
import matplotlib.pyplot as p
# declaração das variáveis
a = -5.26; b = -2.89; c = -0.55; d = 7.5; e = 2.718281828459045
# iniciando f(x)s vazios
fx = []; fx2 = []; fx3 = []
x = range(1,16)
# resultados da função y = f(x)
for xi in x:
    fxi = d*xi**3 + c*xi**2 + b*xi  + a    # Eq. 5.4
    fx.append(fxi)            
    fxi = 10000 +a*e**(b*xi/a)             # Eq. 5.5
    fx2.append(fxi)
    fxi = 455.6*d*(xi-b)**(1/3) - c        # Eq. 5.6
    fx3.append(fxi)
# plotando o gráfico
p.clf()
p.plot(x, fx, 'b--', x, fx2, 'k-', fx3, 'C1:')# plotando o gráfico
p.xlabel(r'$x$')                              # legenda do eixo X
p.ylabel(r'f(x)')                             # legenda do eixo Y
p.title('Imprimindo funções bonitas')         # título
p.legend([r'$dx^3 + cx^2 + bx  + a$',         # legendas especiais
          r'$1000+ae^{bx/a}$', 
          r'$455.6d(\sqrt[3]{x-b})-c$'],
          prop={'size': 15})                   # tamanho da fonte
p.grid(color='k', linestyle='-', linewidth=0.1) # linhas de grade
p.tight_layout()                              # ajuste do gráfico
p.show()                                      # mostrando o gráfico

