# importando bibliotecas
from matplotlib import pyplot as p

# gerando uma lista com 18 dias
dias = list(range(1,19))

# temperaturas máximas
tmax = [25, 28,	30,	28,	29,	29,	28,	29,	30,	31,	27,	26,	26,	30,	31,	31,	28,	31]
# temperaturas mínimas
tmin = [23,	24,	24,	23,	24,	24,	24,	24,	24,	24,	24,	23,	23,	23,	24,	24,	23,	22]

# plotando o gráfico
p.plot(dias, tmax, 'o-r')                                  # plotando o gráfico
p.plot(dias, tmin, 'x--b')                                 # plotando o gráfico
p.title('Temperaturas máximas diárias - Campina Grande-PB')# título
p.xlabel('Dias de abril de 2019')                          # legenda do eixo X
p.ylabel('Temperaturas (°C)')                              # legenda do eixo Y
p.legend(['Máximas', 'Mínimas'])                           # legenda do gráfico
p.axis(xmin=1, xmax=19, ymin=20)
p.grid(color='k', linestyle='-', linewidth=0.1)            # linhas de grade
p.show()                                                   # mostrando gráfico

