# cálculo da fração molar
def calc_frac(vazoes):
    vazao_total = sum(vazoes)
    fracoes = []
    for vazao in vazoes:
        fracoes.append(vazao/vazao_total)
    return [fracoes, vazao_total]    


# exemplo de aplicação
# considere as vazões molares dos componentes A, B, C e D
vazoes = [1200, 650, 87.66, 15.25] # mol/h

# chamando a função de cálculo das fações molares
[fracs, vazao_total] = calc_frac(vazoes)
print("Veja as frações molares dos componentes A, B, C e D:")
print(fracs)
print()
print("A vazão total calculada foi de", vazao_total, 'mols/h')


