# importando bibliotecas
import numpy as np
import pandas as pd

# criando uma lista de datas
dias = 5
# formato da data 20230602 = 2023 06 02 (ano, mês, dia)
datas = pd.date_range('20230602', periods=dias)

# criando uma tabela de dados tabela de dados
tabela = pd.DataFrame(np.random.rand(dias, 2), index=datas, 
                      columns=['FracA', 'FracB'] )

# armazenando dados em um arquivo csv
tabela.to_excel('Minha_tabela.xlsx')

# lendo dados da tabela xlsx
tabela2 = pd.read_excel('Minha_tabela.xlsx')
print('\nEsta é a tabela 2 importada do arquivo xlsx:')
print(tabela2)

