# importando bibliotecas
import pandas as pd
from matplotlib import pyplot as p

#lendo dados da tabela csv
tabela = pd.read_excel('dados_processo.xlsx', 'Sheet1')

# fechando todas as figuras abertas anteriormente
p.close()
tabela.iloc[-50:].plot(x='datas', y=['A', 'B', 'C'], 
            kind = 'line', xlabel='Data da Coleta',
            ylabel='Fração Mássica', grid=True, 
            style=['--b','orange','o-g'])
p.ylim(0, 0.7)                    # intervalo do eixo Y
p.tight_layout()                  # ajuste da figura
p.show()                          # mostrando gráfico

