# importando bibliotecas
from numpy import shape

#d eclaração de variáveis
tabela = ([['x', 'f(x)'], [1, 2.05], [2, 4.01], [3, 6.07], [4, 8]])

[linhas, colunas] = shape(tabela) #obtendo número de linhas e colunas

# imprimindo a tabela
for i in range(linhas):
    if i == 0:
        print('{:<10s}{:>4s}'.format(tabela[i][0],tabela[i][1]))
    else:
        print('{:<10.1f}{:>4.2f}'.format(tabela[i][0],tabela[i][1])) 


#Observe que, no laço for, i é o número de linhas. As colunas estão fixadas
#Como [0] e [1], ou seja, coluna zero e coluna um da tabela apresentada