# importando bibliotecas
from numpy import shape

# declaração de variáveis
tabela2 = [['x', 'f(x)', 'erro(%)'],[1, 2.05, 0.1], [2, 4.01, 0.015],
           [3, 6.07, 0.09],[4, 8, 0.0]]

# obtendo a dimensão da matriz
[linhas, colunas] = shape(tabela2) # obtendo número de linhas e colunas

# criando uma linha pontilhada
pontilhado = '|'+ 8*'-'
pontilhado = 3*pontilhado + '-|'

# imprimindo a tabela
for i in range(linhas):
    if i == 0:
        # imprimindo título
        print(pontilhado)
        print(f'{tabela2[i][0]:^10s}{tabela2[i][1]:^8s}{tabela2[i][2]:^11s}')
        print(pontilhado)
    else:
        # imprimindo os demais itens da tabela
        print(f'|{tabela2[i][0]:_^8.1f}|{tabela2[i][1]:_^8.2f}|'
                  f'{tabela2[i][2]:_^9.3f}|')
        

