# importando bibliotecas
from numpy import sqrt
# cálculo da média
def media1barra(dados):                 # Eq. 16.8
    xbi = []
    for amostra in dados:
        xbi.append(sum(amostra)/len(amostra))
    return xbi
# cálculo de X2 barras( média das médias)
def media2barras(medias_replicatas):    # Eq. 16.9
    x2b = sum(medias_replicatas)/len(medias_replicatas)
    return x2b
# cálculo da Amplitude R
def amplitudeR(dados):                  # Eq. 16.10
    aR = []
    for amostra in dados:
        aR.append(max(amostra) - min(amostra))
    return aR
# cálculo da média das Amplitudes R
def mediaAmplitudeR(amplitudes):        # Eq. 16.11
    mAR = sum(amplitudes)/len(amplitudes)
    return mAR
# Cálculo do Desvio Padrão Amostral
def desvioPA(dados):                    # Eq. 16.12
    n = len(dados[0])
    si = 0.
    if n > 1:
        xbi = media1barra(dados)
        si = []
        for i in range(len(dados)):
            soma = 0
            for xi in dados[i]:
                soma = soma + (xi - xbi[i])**2
            si.append(sqrt(soma/(n-1)))         
    else:
        print('Número de replicatas insuficiente.')
        print('Caso esteja usando um array, faça a transposta,')
        print('e tente novamente.')
    return si 
# Cálculo da média dos Desvios Padrões Amostrais
def mediaDesvioPA(desvios_padroes):     # Eq. 16.13
    tipo = type(desvios_padroes)
    if tipo == list:
        mAR = sum(desvios_padroes)/len(desvios_padroes)
    else:
        mAR = desvios_padroes
    return mAR





